Skip to main content
GET
/
email
/
providers
List Email Provider Connections
curl --request GET \
  --url https://api.getoutbox.ai/email/providers/ \
  --header 'Authorization: Bearer <token>'
[
  {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "name": "<string>",
    "updated_at": "2023-11-07T05:31:56Z",
    "company": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "auth_config": "<unknown>",
    "metadata": "<unknown>",
    "test_result": "<unknown>",
    "last_verified_at": "2023-11-07T05:31:56Z",
    "is_deleted": true,
    "created_at": "2023-11-07T05:31:56Z"
  }
]

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Response

200 - application/json
id
string<uuid>
required
read-only
provider
enum<string>
required
  • sendgrid - SendGrid
  • resend - Resend
  • ses - Amazon SES
Available options:
sendgrid,
resend,
ses
name
string
required
Maximum string length: 128
updated_at
string<date-time>
required
read-only
company
string<uuid>
required
status
enum<string>
  • pending - Pending
  • active - Active
  • error - Error
  • disconnected - Disconnected
Available options:
pending,
active,
error,
disconnected
auth_config
any
metadata
any
test_result
any
last_verified_at
string<date-time> | null
is_deleted
boolean
created_at
string<date-time>